org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table

## Interface TablePackage

    public interface TablePackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `TableFactory`
Generated:
Model:
  kind="package"

### Nested Class Summary

Nested Classes
`static interface` `TablePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static int` `COLUMN` The meta object id for the '`Column`' class.
`static int` `COLUMN__WIDTH` The feature id for the 'Width' attribute.
`static int` `COLUMN_FEATURE_COUNT` The number of structural features of the 'Column' class.
`static TablePackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EOBJECT_QUERY_ROW` The meta object id for the '`EObject Query Row`' class.
`static int` `EOBJECT_QUERY_ROW__ELEMENT` The feature id for the 'Element' reference.
`static int` `EOBJECT_QUERY_ROW__HEIGHT` The feature id for the 'Height' attribute.
`static int` `EOBJECT_QUERY_ROW__QUERY_RESULT` The feature id for the 'Query Result' reference.
`static int` `EOBJECT_QUERY_ROW_FEATURE_COUNT` The number of structural features of the 'EObject Query Row' class.
`static int` `FEATURE_COLUMN` The meta object id for the '`Feature Column`' class.
`static int` `FEATURE_COLUMN__FEATURE` The feature id for the 'Feature' reference.
`static int` `FEATURE_COLUMN__WIDTH` The feature id for the 'Width' attribute.
`static int` `FEATURE_COLUMN_FEATURE_COUNT` The number of structural features of the 'Feature Column' class.
`static int` `NAVIGATION_ROW` The meta object id for the '`Navigation Row`' class.
`static int` `NAVIGATION_ROW__ELEMENT` The feature id for the 'Element' reference.
`static int` `NAVIGATION_ROW__HEIGHT` The feature id for the 'Height' attribute.
`static int` `NAVIGATION_ROW__QUERY_RESULT` The feature id for the 'Query Result' reference.
`static int` `NAVIGATION_ROW_FEATURE_COUNT` The number of structural features of the 'Navigation Row' class.
`static int` `NAVIGATION_TABLE` The meta object id for the '`Navigation Table`' class.
`static int` `NAVIGATION_TABLE__CAN_BE_PRESENTED_IN_THE_TABLE` The feature id for the 'Can Be Presented In The Table' reference.
`static int` `NAVIGATION_TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `NAVIGATION_TABLE__CONTEXT` The feature id for the 'Context' reference.
`static int` `NAVIGATION_TABLE__CUSTOMIZATIONS` The feature id for the 'Customizations' reference list.
`static int` `NAVIGATION_TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `NAVIGATION_TABLE__FACET_SETS` The feature id for the 'Facet Sets' reference list.
`static int` `NAVIGATION_TABLE__HIDE_EMPTY_COLUMNS` The feature id for the 'Hide Empty Columns' attribute.
`static int` `NAVIGATION_TABLE__LOCAL_CUSTOMIZATIONS` The feature id for the 'Local Customizations' containment reference list.
`static int` `NAVIGATION_TABLE__ONLY_SHOW_COMMON_COLUMNS` The feature id for the 'Only Show Common Columns' attribute.
`static int` `NAVIGATION_TABLE__PARAMETER` The feature id for the 'Parameter' attribute.
`static int` `NAVIGATION_TABLE__QUERY_RESULTS` The feature id for the 'Query Results' containment reference list.
`static int` `NAVIGATION_TABLE__ROWS` The feature id for the 'Rows' containment reference list.
`static int` `NAVIGATION_TABLE__TABLE_CONFIGURATION` The feature id for the 'Table Configuration' reference.
`static int` `NAVIGATION_TABLE_FEATURE_COUNT` The number of structural features of the 'Navigation Table' class.
`static int` `PRIMITIVE_TYPE_QUERY_ROW` The meta object id for the '`Primitive Type Query Row`' class.
`static int` `PRIMITIVE_TYPE_QUERY_ROW__ELEMENT` The feature id for the 'Element' reference.
`static int` `PRIMITIVE_TYPE_QUERY_ROW__HEIGHT` The feature id for the 'Height' attribute.
`static int` `PRIMITIVE_TYPE_QUERY_ROW__QUERY_RESULT` The feature id for the 'Query Result' reference.
`static int` `PRIMITIVE_TYPE_QUERY_ROW__VALUE` The feature id for the 'Value' attribute.
`static int` `PRIMITIVE_TYPE_QUERY_ROW_FEATURE_COUNT` The number of structural features of the 'Primitive Type Query Row' class.
`static int` `ROW` The meta object id for the '`Row`' class.
`static int` `ROW__ELEMENT` The feature id for the 'Element' reference.
`static int` `ROW__HEIGHT` The feature id for the 'Height' attribute.
`static int` `ROW_FEATURE_COUNT` The number of structural features of the 'Row' class.
`static int` `SOURCE_COLUMN` The meta object id for the '`Source Column`' class.
`static int` `SOURCE_COLUMN__IS_HIDDEN` The feature id for the 'Is Hidden' attribute.
`static int` `SOURCE_COLUMN__WIDTH` The feature id for the 'Width' attribute.
`static int` `SOURCE_COLUMN_FEATURE_COUNT` The number of structural features of the 'Source Column' class.
`static int` `TABLE` The meta object id for the '`Table`' class.
`static int` `TABLE__CAN_BE_PRESENTED_IN_THE_TABLE` The feature id for the 'Can Be Presented In The Table' reference.
`static int` `TABLE__COLUMNS` The feature id for the 'Columns' containment reference list.
`static int` `TABLE__CONTEXT` The feature id for the 'Context' reference.
`static int` `TABLE__CUSTOMIZATIONS` The feature id for the 'Customizations' reference list.
`static int` `TABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TABLE__FACET_SETS` The feature id for the 'Facet Sets' reference list.
`static int` `TABLE__HIDE_EMPTY_COLUMNS` The feature id for the 'Hide Empty Columns' attribute.
`static int` `TABLE__LOCAL_CUSTOMIZATIONS` The feature id for the 'Local Customizations' containment reference list.
`static int` `TABLE__ONLY_SHOW_COMMON_COLUMNS` The feature id for the 'Only Show Common Columns' attribute.
`static int` `TABLE__PARAMETER` The feature id for the 'Parameter' attribute.
`static int` `TABLE__ROWS` The feature id for the 'Rows' containment reference list.
`static int` `TABLE__TABLE_CONFIGURATION` The feature id for the 'Table Configuration' reference.
`static int` `TABLE_FEATURE_COUNT` The number of structural features of the 'Table' class.
`static int` `VALUE_COLUMN` The meta object id for the '`Value Column`' class.
`static int` `VALUE_COLUMN__WIDTH` The feature id for the 'Width' attribute.
`static int` `VALUE_COLUMN_FEATURE_COUNT` The number of structural features of the 'Value Column' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`EAttribute` `getColumn_Width()` Returns the meta object for the attribute '`Width`'.
`EClass` `getColumn()` Returns the meta object for class '`Column`'.
`EClass` `getEObjectQueryRow()` Returns the meta object for class '`EObject Query Row`'.
`EReference` `getFeatureColumn_Feature()` Returns the meta object for the reference '`Feature`'.
`EClass` `getFeatureColumn()` Returns the meta object for class '`Feature Column`'.
`EReference` `getNavigationRow_QueryResult()` Returns the meta object for the reference '`Query Result`'.
`EClass` `getNavigationRow()` Returns the meta object for class '`Navigation Row`'.
`EReference` `getNavigationTable_QueryResults()` Returns the meta object for the containment reference list '`Query Results`'.
`EClass` `getNavigationTable()` Returns the meta object for class '`Navigation Table`'.
`EAttribute` `getPrimitiveTypeQueryRow_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getPrimitiveTypeQueryRow()` Returns the meta object for class '`Primitive Type Query Row`'.
`EReference` `getRow_Element()` Returns the meta object for the reference '`Element`'.
`EAttribute` `getRow_Height()` Returns the meta object for the attribute '`Height`'.
`EClass` `getRow()` Returns the meta object for class '`Row`'.
`EAttribute` `getSourceColumn_IsHidden()` Returns the meta object for the attribute '`Is Hidden`'.
`EClass` `getSourceColumn()` Returns the meta object for class '`Source Column`'.
`EReference` `getTable_CanBePresentedInTheTable()` Returns the meta object for the reference '`Can Be Presented In The Table`'.
`EReference` `getTable_Columns()` Returns the meta object for the containment reference list '`Columns`'.
`EReference` `getTable_Context()` Returns the meta object for the reference '`Context`'.
`EReference` `getTable_Customizations()` Returns the meta object for the reference list '`Customizations`'.
`EAttribute` `getTable_Description()` Returns the meta object for the attribute '`Description`'.
`EReference` `getTable_FacetSets()` Returns the meta object for the reference list '`Facet Sets`'.
`EAttribute` `getTable_HideEmptyColumns()` Returns the meta object for the attribute '`Hide Empty Columns`'.
`EReference` `getTable_LocalCustomizations()` Returns the meta object for the containment reference list '`Local Customizations`'.
`EAttribute` `getTable_OnlyShowCommonColumns()` Returns the meta object for the attribute '`Only Show Common Columns`'.
`EAttribute` `getTable_Parameter()` Returns the meta object for the attribute '`Parameter`'.
`EReference` `getTable_Rows()` Returns the meta object for the containment reference list '`Rows`'.
`EReference` `getTable_TableConfiguration()` Returns the meta object for the reference '`Table Configuration`'.
`EClass` `getTable()` Returns the meta object for class '`Table`'.
`TableFactory` `getTableFactory()` Returns the factory that creates the instances of the model.
`EClass` `getValueColumn()` Returns the meta object for class '`Value Column`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final TablePackage eINSTANCE

The singleton instance of the package.

Generated:

#### TABLE

    static final int TABLE

The meta object id for the '`Table`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TableImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getTable()`, Constant Field Values
Generated:

#### TABLE__TABLE_CONFIGURATION

    static final int TABLE__TABLE_CONFIGURATION

The feature id for the 'Table Configuration' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__CUSTOMIZATIONS

    static final int TABLE__CUSTOMIZATIONS

The feature id for the 'Customizations' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__FACET_SETS

    static final int TABLE__FACET_SETS

The feature id for the 'Facet Sets' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__CONTEXT

    static final int TABLE__CONTEXT

The feature id for the 'Context' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__PARAMETER

    static final int TABLE__PARAMETER

The feature id for the 'Parameter' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__HIDE_EMPTY_COLUMNS

    static final int TABLE__HIDE_EMPTY_COLUMNS

The feature id for the 'Hide Empty Columns' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__ONLY_SHOW_COMMON_COLUMNS

    static final int TABLE__ONLY_SHOW_COMMON_COLUMNS

The feature id for the 'Only Show Common Columns' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__DESCRIPTION

    static final int TABLE__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__COLUMNS

    static final int TABLE__COLUMNS

The feature id for the 'Columns' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__ROWS

    static final int TABLE__ROWS

The feature id for the 'Rows' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__LOCAL_CUSTOMIZATIONS

    static final int TABLE__LOCAL_CUSTOMIZATIONS

The feature id for the 'Local Customizations' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE__CAN_BE_PRESENTED_IN_THE_TABLE

    static final int TABLE__CAN_BE_PRESENTED_IN_THE_TABLE

The feature id for the 'Can Be Presented In The Table' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TABLE_FEATURE_COUNT

    static final int TABLE_FEATURE_COUNT

The number of structural features of the 'Table' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE

    static final int NAVIGATION_TABLE

The meta object id for the '`Navigation Table`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.NavigationTableImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getNavigationTable()`, Constant Field Values
Generated:

#### NAVIGATION_TABLE__TABLE_CONFIGURATION

    static final int NAVIGATION_TABLE__TABLE_CONFIGURATION

The feature id for the 'Table Configuration' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__CUSTOMIZATIONS

    static final int NAVIGATION_TABLE__CUSTOMIZATIONS

The feature id for the 'Customizations' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__FACET_SETS

    static final int NAVIGATION_TABLE__FACET_SETS

The feature id for the 'Facet Sets' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__CONTEXT

    static final int NAVIGATION_TABLE__CONTEXT

The feature id for the 'Context' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__PARAMETER

    static final int NAVIGATION_TABLE__PARAMETER

The feature id for the 'Parameter' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__HIDE_EMPTY_COLUMNS

    static final int NAVIGATION_TABLE__HIDE_EMPTY_COLUMNS

The feature id for the 'Hide Empty Columns' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__ONLY_SHOW_COMMON_COLUMNS

    static final int NAVIGATION_TABLE__ONLY_SHOW_COMMON_COLUMNS

The feature id for the 'Only Show Common Columns' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__DESCRIPTION

    static final int NAVIGATION_TABLE__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__COLUMNS

    static final int NAVIGATION_TABLE__COLUMNS

The feature id for the 'Columns' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__ROWS

    static final int NAVIGATION_TABLE__ROWS

The feature id for the 'Rows' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__LOCAL_CUSTOMIZATIONS

    static final int NAVIGATION_TABLE__LOCAL_CUSTOMIZATIONS

The feature id for the 'Local Customizations' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__CAN_BE_PRESENTED_IN_THE_TABLE

    static final int NAVIGATION_TABLE__CAN_BE_PRESENTED_IN_THE_TABLE

The feature id for the 'Can Be Presented In The Table' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE__QUERY_RESULTS

    static final int NAVIGATION_TABLE__QUERY_RESULTS

The feature id for the 'Query Results' containment reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_TABLE_FEATURE_COUNT

    static final int NAVIGATION_TABLE_FEATURE_COUNT

The number of structural features of the 'Navigation Table' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### COLUMN

    static final int COLUMN

The meta object id for the '`Column`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.ColumnImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getColumn()`, Constant Field Values
Generated:

#### COLUMN__WIDTH

    static final int COLUMN__WIDTH

The feature id for the 'Width' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### COLUMN_FEATURE_COUNT

    static final int COLUMN_FEATURE_COUNT

The number of structural features of the 'Column' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SOURCE_COLUMN

    static final int SOURCE_COLUMN

The meta object id for the '`Source Column`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.SourceColumnImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getSourceColumn()`, Constant Field Values
Generated:

#### SOURCE_COLUMN__WIDTH

    static final int SOURCE_COLUMN__WIDTH

The feature id for the 'Width' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SOURCE_COLUMN__IS_HIDDEN

    static final int SOURCE_COLUMN__IS_HIDDEN

The feature id for the 'Is Hidden' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### SOURCE_COLUMN_FEATURE_COUNT

    static final int SOURCE_COLUMN_FEATURE_COUNT

The number of structural features of the 'Source Column' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### FEATURE_COLUMN

    static final int FEATURE_COLUMN

The meta object id for the '`Feature Column`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.FeatureColumnImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getFeatureColumn()`, Constant Field Values
Generated:

#### FEATURE_COLUMN__WIDTH

    static final int FEATURE_COLUMN__WIDTH

The feature id for the 'Width' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### FEATURE_COLUMN__FEATURE

    static final int FEATURE_COLUMN__FEATURE

The feature id for the 'Feature' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### FEATURE_COLUMN_FEATURE_COUNT

    static final int FEATURE_COLUMN_FEATURE_COUNT

The number of structural features of the 'Feature Column' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ROW

    static final int ROW

The meta object id for the '`Row`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.RowImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getRow()`, Constant Field Values
Generated:

#### ROW__ELEMENT

    static final int ROW__ELEMENT

The feature id for the 'Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ROW__HEIGHT

    static final int ROW__HEIGHT

The feature id for the 'Height' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### ROW_FEATURE_COUNT

    static final int ROW_FEATURE_COUNT

The number of structural features of the 'Row' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_ROW

    static final int NAVIGATION_ROW

The meta object id for the '`Navigation Row`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.NavigationRowImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getNavigationRow()`, Constant Field Values
Generated:

#### NAVIGATION_ROW__ELEMENT

    static final int NAVIGATION_ROW__ELEMENT

The feature id for the 'Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_ROW__HEIGHT

    static final int NAVIGATION_ROW__HEIGHT

The feature id for the 'Height' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_ROW__QUERY_RESULT

    static final int NAVIGATION_ROW__QUERY_RESULT

The feature id for the 'Query Result' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_ROW_FEATURE_COUNT

    static final int NAVIGATION_ROW_FEATURE_COUNT

The number of structural features of the 'Navigation Row' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### PRIMITIVE_TYPE_QUERY_ROW

    static final int PRIMITIVE_TYPE_QUERY_ROW

The meta object id for the '`Primitive Type Query Row`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.PrimitiveTypeQueryRowImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getPrimitiveTypeQueryRow()`, Constant Field Values
Generated:

#### PRIMITIVE_TYPE_QUERY_ROW__ELEMENT

    static final int PRIMITIVE_TYPE_QUERY_ROW__ELEMENT

The feature id for the 'Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### PRIMITIVE_TYPE_QUERY_ROW__HEIGHT

    static final int PRIMITIVE_TYPE_QUERY_ROW__HEIGHT

The feature id for the 'Height' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### PRIMITIVE_TYPE_QUERY_ROW__QUERY_RESULT

    static final int PRIMITIVE_TYPE_QUERY_ROW__QUERY_RESULT

The feature id for the 'Query Result' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### PRIMITIVE_TYPE_QUERY_ROW__VALUE

    static final int PRIMITIVE_TYPE_QUERY_ROW__VALUE

The feature id for the 'Value' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### PRIMITIVE_TYPE_QUERY_ROW_FEATURE_COUNT

    static final int PRIMITIVE_TYPE_QUERY_ROW_FEATURE_COUNT

The number of structural features of the 'Primitive Type Query Row' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### EOBJECT_QUERY_ROW

    static final int EOBJECT_QUERY_ROW

The meta object id for the '`EObject Query Row`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.EObjectQueryRowImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getEObjectQueryRow()`, Constant Field Values
Generated:

#### EOBJECT_QUERY_ROW__ELEMENT

    static final int EOBJECT_QUERY_ROW__ELEMENT

The feature id for the 'Element' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### EOBJECT_QUERY_ROW__HEIGHT

    static final int EOBJECT_QUERY_ROW__HEIGHT

The feature id for the 'Height' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### EOBJECT_QUERY_ROW__QUERY_RESULT

    static final int EOBJECT_QUERY_ROW__QUERY_RESULT

The feature id for the 'Query Result' reference.

See Also:
  Constant Field Values
Generated:
Ordered:

#### EOBJECT_QUERY_ROW_FEATURE_COUNT

    static final int EOBJECT_QUERY_ROW_FEATURE_COUNT

The number of structural features of the 'EObject Query Row' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### VALUE_COLUMN

    static final int VALUE_COLUMN

The meta object id for the '`Value Column`' class.

See Also:
  `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.ValueColumnImpl`, `org.eclipse.emf.facet.widgets.table.metamodel.v0_2_0.table.impl.TablePackageImpl#getValueColumn()`, Constant Field Values
Generated:

#### VALUE_COLUMN__WIDTH

    static final int VALUE_COLUMN__WIDTH

The feature id for the 'Width' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### VALUE_COLUMN_FEATURE_COUNT

    static final int VALUE_COLUMN_FEATURE_COUNT

The number of structural features of the 'Value Column' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getTable

    EClass getTable()

Returns the meta object for class '`Table`'.

Returns:
  the meta object for class 'Table'.
See Also:
  `Table`
Generated:

#### getTable_TableConfiguration

    EReference getTable_TableConfiguration()

Returns the meta object for the reference '`Table Configuration`'.

Returns:
  the meta object for the reference 'Table Configuration'.
See Also:
  `Table.getTableConfiguration()`, `getTable()`
Generated:

#### getTable_Customizations

    EReference getTable_Customizations()

Returns the meta object for the reference list '`Customizations`'.

Returns:
  the meta object for the reference list 'Customizations'.
See Also:
  `Table.getCustomizations()`, `getTable()`
Generated:

#### getTable_FacetSets

    EReference getTable_FacetSets()

Returns the meta object for the reference list '`Facet Sets`'.

Returns:
  the meta object for the reference list 'Facet Sets'.
See Also:
  `Table.getFacetSets()`, `getTable()`
Generated:

#### getTable_Context

    EReference getTable_Context()

Returns the meta object for the reference '`Context`'.

Returns:
  the meta object for the reference 'Context'.
See Also:
  `Table.getContext()`, `getTable()`
Generated:

#### getTable_Parameter

    EAttribute getTable_Parameter()

Returns the meta object for the attribute '`Parameter`'.

Returns:
  the meta object for the attribute 'Parameter'.
See Also:
  `Table.getParameter()`, `getTable()`
Generated:

#### getTable_HideEmptyColumns

    EAttribute getTable_HideEmptyColumns()

Returns the meta object for the attribute '`Hide Empty Columns`'.

Returns:
  the meta object for the attribute 'Hide Empty Columns'.
See Also:
  `Table.isHideEmptyColumns()`, `getTable()`
Generated:

#### getTable_OnlyShowCommonColumns

    EAttribute getTable_OnlyShowCommonColumns()

Returns the meta object for the attribute '`Only Show Common Columns`'.

Returns:
  the meta object for the attribute 'Only Show Common Columns'.
See Also:
  `Table.isOnlyShowCommonColumns()`, `getTable()`
Generated:

#### getTable_Description

    EAttribute getTable_Description()

Returns the meta object for the attribute '`Description`'.

Returns:
  the meta object for the attribute 'Description'.
See Also:
  `Table.getDescription()`, `getTable()`
Generated:

#### getTable_Columns

    EReference getTable_Columns()

Returns the meta object for the containment reference list '`Columns`'.

Returns:
  the meta object for the containment reference list 'Columns'.
See Also:
  `Table.getColumns()`, `getTable()`
Generated:

#### getTable_Rows

    EReference getTable_Rows()

Returns the meta object for the containment reference list '`Rows`'.

Returns:
  the meta object for the containment reference list 'Rows'.
See Also:
  `Table.getRows()`, `getTable()`
Generated:

#### getTable_LocalCustomizations

    EReference getTable_LocalCustomizations()

Returns the meta object for the containment reference list '`Local Customizations`'.

Returns:
  the meta object for the containment reference list 'Local Customizations'.
See Also:
  `Table.getLocalCustomizations()`, `getTable()`
Generated:

#### getTable_CanBePresentedInTheTable

    EReference getTable_CanBePresentedInTheTable()

Returns the meta object for the reference '`Can Be Presented In The Table`'.

Returns:
  the meta object for the reference 'Can Be Presented In The Table'.
See Also:
  `Table.getCanBePresentedInTheTable()`, `getTable()`
Generated:

#### getNavigationTable

    EClass getNavigationTable()

Returns the meta object for class '`Navigation Table`'.

Returns:
  the meta object for class 'Navigation Table'.
See Also:
  `NavigationTable`
Generated:

#### getNavigationTable_QueryResults

    EReference getNavigationTable_QueryResults()

Returns the meta object for the containment reference list '`Query Results`'.

Returns:
  the meta object for the containment reference list 'Query Results'.
See Also:
  `NavigationTable.getQueryResults()`, `getNavigationTable()`
Generated:

#### getColumn

    EClass getColumn()

Returns the meta object for class '`Column`'.

Returns:
  the meta object for class 'Column'.
See Also:
  `Column`
Generated:

#### getColumn_Width

    EAttribute getColumn_Width()

Returns the meta object for the attribute '`Width`'.

Returns:
  the meta object for the attribute 'Width'.
See Also:
  `Column.getWidth()`, `getColumn()`
Generated:

#### getSourceColumn

    EClass getSourceColumn()

Returns the meta object for class '`Source Column`'.

Returns:
  the meta object for class 'Source Column'.
See Also:
  `SourceColumn`
Generated:

#### getSourceColumn_IsHidden

    EAttribute getSourceColumn_IsHidden()

Returns the meta object for the attribute '`Is Hidden`'.

Returns:
  the meta object for the attribute 'Is Hidden'.
See Also:
  `SourceColumn.isIsHidden()`, `getSourceColumn()`
Generated:

#### getFeatureColumn

    EClass getFeatureColumn()

Returns the meta object for class '`Feature Column`'.

Returns:
  the meta object for class 'Feature Column'.
See Also:
  `FeatureColumn`
Generated:

#### getFeatureColumn_Feature

    EReference getFeatureColumn_Feature()

Returns the meta object for the reference '`Feature`'.

Returns:
  the meta object for the reference 'Feature'.
See Also:
  `FeatureColumn.getFeature()`, `getFeatureColumn()`
Generated:

#### getRow

    EClass getRow()

Returns the meta object for class '`Row`'.

Returns:
  the meta object for class 'Row'.
See Also:
  `Row`
Generated:

#### getRow_Element

    EReference getRow_Element()

Returns the meta object for the reference '`Element`'.

Returns:
  the meta object for the reference 'Element'.
See Also:
  `Row.getElement()`, `getRow()`
Generated:

#### getRow_Height

    EAttribute getRow_Height()

Returns the meta object for the attribute '`Height`'.

Returns:
  the meta object for the attribute 'Height'.
See Also:
  `Row.getHeight()`, `getRow()`
Generated:

#### getNavigationRow

    EClass getNavigationRow()

Returns the meta object for class '`Navigation Row`'.

Returns:
  the meta object for class 'Navigation Row'.
See Also:
  `NavigationRow`
Generated:

#### getNavigationRow_QueryResult

    EReference getNavigationRow_QueryResult()

Returns the meta object for the reference '`Query Result`'.

Returns:
  the meta object for the reference 'Query Result'.
See Also:
  `NavigationRow.getQueryResult()`, `getNavigationRow()`
Generated:

#### getPrimitiveTypeQueryRow

    EClass getPrimitiveTypeQueryRow()

Returns the meta object for class '`Primitive Type Query Row`'.

Returns:
  the meta object for class 'Primitive Type Query Row'.
See Also:
  `PrimitiveTypeQueryRow`
Generated:

#### getPrimitiveTypeQueryRow_Value

    EAttribute getPrimitiveTypeQueryRow_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  `PrimitiveTypeQueryRow.getValue()`, `getPrimitiveTypeQueryRow()`
Generated:

#### getEObjectQueryRow

    EClass getEObjectQueryRow()

Returns the meta object for class '`EObject Query Row`'.

Returns:
  the meta object for class 'EObject Query Row'.
See Also:
  `EObjectQueryRow`
Generated:

#### getValueColumn

    EClass getValueColumn()

Returns the meta object for class '`Value Column`'.

Returns:
  the meta object for class 'Value Column'.
See Also:
  `ValueColumn`
Generated:

#### getTableFactory

    TableFactory getTableFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: